//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-echo-plugin/src/main/groovy/org/openscm/kundo/plugins/EchoDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;

/**
 * Simple Echo Delegate
 *
 * @author <a href="mailto:paul.clifford@upco.co.uk">Paul Clifford</a>
 * @version 1.0.0

Description: A simple Echo Delegate that displays a message.

<p>The echo plugin displays a message contained in a property, the property is defined
in either the plugin's plugin.properties file or the project's build.properties
file. Properties defined in the project's build.properties file override the default values.
Property default values are specified in the plugin's plugin.properties file.</p>


<p>These properties are automatically injected into the plugin at runtime.
This is done by the exposing of setter methods for variables mimicking the
name of the . separated ant property but replacing the dots with uppercase
letters resulting in a camelCase variable name.</p>
 * @see #setMessage( String )
 * @see #setOutputFile( String )
 */
public class EchoDelegate
    extends AbstractPluginTargetDelegate
{
    private java.lang.String message = null;
    public java.lang.String getMessage() {
        throw new InternalError("Stubbed method");
    }

    private java.lang.String outputFile = null;
    public java.lang.String getOutputFile() {
        throw new InternalError("Stubbed method");
    }

    private EchoDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public EchoDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable message
     *
     * @param message String representation of a message to print
     */
    public void setMessage(java.lang.String message) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable outputFile
     *
     * @param outputFile String representation of a file name to output a message to
     */
    public void setOutputFile(java.lang.String outputFile) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for displaying the message
     * outputs the value in the message member variable,
     * also writes that value to the file name in the
     * outputFile member variable.
     */
    private void echo() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * this method is automatically called.
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
